%define name conmen
%define version 0.2
%define release 2mdk

Summary:   Console menuscripts for Linux.
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source:    %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Group:     Shells
URL:       http://home.wanadoo.nl/cchq/conmen/index.html
Requires:  kcd qprompt cdialog
BuildArchitectures: noarch

%description

  These are menu scripts for the bash shell.
  The program uses cdialog.

%prep
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
  && rm -rf ${RPM_BUILD_ROOT}/

%setup

%install
  mkdir -p ${RPM_BUILD_ROOT}/etc/conmen
  mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,X11R6/bin}
  cp conmen \
     cmcdrecording \
     cmdialup \
     cmfloppy \
     cmfunk \
     cmgames \
     cminstall \
     cmm \
     cmmp3 \
     cmprint \
     cmsound \
     cmsystem \
     ${RPM_BUILD_ROOT}/usr/bin

  cp runlxdoom \
     runxquake \
     xmen \
     ${RPM_BUILD_ROOT}/usr/X11R6/bin

  cp cmrc ${RPM_BUILD_ROOT}/etc/conmen

%post
  cd /usr/bin
  ln -s conmen cm

%clean
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
  && rm -rf ${RPM_BUILD_ROOT}/

%files
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog COPYING README TODO index.html cmbg.jpg
%config /etc/conmen/cmrc
%{_bindir}/*
/usr/X11R6/bin/*

%changelog
* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-2mdk
- BM

* Wed Jul 19 2000 Max Heijndijk <cchq@wanadoo.nl> 0.2-1mdk
- Upgraded to 0.2
- Made spec more readable

* Mon May 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- clean spec
- used srpm provided by Max Heijndijk <cchq@wanadoo.nl>
